# -*- coding: utf-8 -*- 


def index():
	return dict()
	
def list():
	plans = db().select(db.WIPplan.ALL)
	return dict(plans=plans)
	
def new():
	#session.nextWIPstep=0
	if not session.nextWIPstep:	
		form = SQLFORM(db.WIPplan,fields=['topic'],requires='IS_NOT_EMPTY')
		pagetitle="Start a lessonplan"
		if form.accepts(request.vars,session):
			session.WIPplanid = form.vars.id
			session.nextWIPstep = "coreinfo"
			response.flash = 'Topic accepted'
			redirect(URL(r=request, f='new'))
		return dict(form=form,pagetitle=pagetitle)
		
	elif session.nextWIPstep == 'coreinfo':
		form = SQLFORM(db.CoreInfo)
		pagetitle="Enter the core information for the lesson"
		if form.accepts(request.vars, session):
			session.coreinfoid=form.vars.id
			response.flash = "Core Information accepted"
			session.nextWIPstep = False
			plan = db(db.WIPplan.id==session.WIPplanid)
			plan.update(coreinfo = session.coreinfoid)
			redirect(URL(r=request, f='new'))
		return dict(form=form,pagetitle=pagetitle)
			
	
def show():
	plan = db(db.WIPplan.id==request.args(0)).select()[0]
	return dict(plan=plan)
	
def edit():
	plan = db(db.WIPplan.id==request.args(0)).select()[0]
	part = request.args(1)
	if part=="coreinfo":
		form = SQLFORM(db.CoreInfo, plan.coreinfo)
		if form.accepts(request.vars,session):
			response.flash = "Edit to Core Information accepted"
			redirect(URL(r=request, f='index'))
	return dict(form=form)
	



def user():
    """
    exposes:
    http://..../[app]/default/user/login 
    http://..../[app]/default/user/logout
    http://..../[app]/default/user/register
    http://..../[app]/default/user/profile
    http://..../[app]/default/user/retrieve_password
    http://..../[app]/default/user/change_password
    use @auth.requires_login()
        @auth.requires_membership('group name')
        @auth.requires_permission('read','table name',record_id)
    to decorate functions that need access control
    """
    return dict(form=auth())


def download():
    return response.download(request,db)



