# -*- coding: utf-8 -*- 

db = DAL('sqlite://storage.sqlite')	  
	
db.define_table('CoreInfo',
	Field('proficiency_level',default=''),
	Field('timeframe',default=''),
	Field('enduring_understandings','text',default=''),
	Field('essential_questions','text',default=''),
	)
#db.define_table('Standards',

db.define_table('Objectives',
	Field('content_objectives','text'),
	Field('language_objectives','text'),
	Field('learning_strategies','text'),
	)

#db.define_table('Vocab',

db.define_table('Materials',
	Field('materials','text'),
	)

db.define_table('Procedures',
	Field('motivation','text'),
	Field('presentation','text'),
	Field('practice','text'),
	)

db.define_table('Application',
	Field('application','text'),
	)	
	
	
db.define_table('WIPplan',
	Field('topic'),
	Field('coreinfo',db.CoreInfo, default=''),
	#Field('standards',db.Standards),
	Field('objectives',db.Objectives),
	#Field('vocab',db.Vocab),
	Field('materials',db.Materials),
	Field('procedures',db.Procedures),
	Field('application',db.Application),
	) 
	
db.WIPplan.topic.requires = IS_NOT_EMPTY()

